﻿using System.ComponentModel.Composition;
using System.Windows.Controls;
using PrismMEF1.MainMenuModule.ViewModels;

namespace PrismMEF1.MainMenuModule.Views
{
    [Export(typeof(MainMenuView))]
    public partial class MainMenuView : UserControl
    {
        /// <summary>
        /// 뷰 모델 임포트 - 비동기 동작
        /// </summary>
        [Import]
        public MainMenuViewModel ViewModel
        {
            get { return this.DataContext as MainMenuViewModel; }
            set 
            { 
                this.DataContext = value; 
            }
        }

        /// <summary>
        /// 생성자
        /// </summary>
        public MainMenuView()
        {
            InitializeComponent();
        }
    }
}
