﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;

namespace MainMenuModule.Model
{
    public interface IMenuModel
    {
        /// <summary>
        /// 모델에 데이터 추가
        /// </summary>
        /// <param name="addData">모델 데이터</param>
        void Adding(object addData);
        /// <summary>
        /// 작업 취소
        /// </summary>
        void Canceling();
        /// <summary>
        /// 모델 데이터 조회
        /// </summary>
        /// <param name="Condition"></param>
        void Getting(string Condition);
        /// <summary>
        /// 모델 메시지
        /// </summary>
        string MessageData { get; set; }
        /// <summary>
        /// 모델 데이터 제거
        /// </summary>
        /// <param name="removeData"></param>
        void Removing(object removeData);
        /// <summary>
        /// 저장
        /// </summary>
        void Saving();
    }
}
